import { ItemPreps } from '../../types/ItemPreps';
declare const __VLS_export: import('vue').DefineComponent<ItemPreps, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    selfFunc: (...args: any[]) => void;
    selectItem: (...args: any[]) => void;
}, string, import('vue').PublicProps, Readonly<ItemPreps> & Readonly<{
    onSelfFunc?: (...args: any[]) => any;
    onSelectItem?: (...args: any[]) => any;
}>, {
    disabled: boolean;
    isDesign: boolean;
    bareFlag: boolean;
    isSearch: boolean;
    showFormItem: boolean;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
declare const _default: typeof __VLS_export;
export default _default;
